Subject: bug#26302: Multilingual web site is on-line!

From: Ludovic Courtès <[email-masked]>
Date: Fri, 31 Jul 2020 16:45:31 +0200

Hi!

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Tue, Jul 28, 2020 at 11:50:13PM +0200, Ludovic Courtès wrote:
>> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
>> > Guix’ website is written in
>> > [SHTML](https://www.nongnu.org/guile-lib/doc/ref/htmlprag/), which is
>> > a variant of HTML (in which web pages are usually written) that
>> 
>> I think it’s technically SXHTML, no?
>> https://www.gnu.org/software/guile/manual/html_node/SXML.html
>
> The result is not valid XHTML.  I will just call it SXML now, which is
> what the Haunt info manual calls it.

OK.

>> I wonder if we should link to more practical step-by-step instructions
>> on how to get started translating, to lower the barrier for those who
>> want to get started without engaging in possibly open-ended discussions
>> with the fabulous Guix team.  :-)
>
> I don’t know how best to integrate step-by-step instructions.  While
> the TP has instructions
> <https://translationproject.org/html/translators.html>, they seem more
> intimidating to me than, as a first step, talking to the helpful
> people at the TP.  A few steps also describe how to disclaim
> copyright, which Guix does not ask for anyway.

Yeah, dunno.  In the post you could duplicate/filter those steps just so
it’s more directly understandable what it takes to translate pages.
Your call!

> I propose the attached blog post draft if noone objects, taking into
> account Ludo’s helpful suggestions.  Is it missing anything
> interesting about the i18n system?
>
> Should I add it to the website as a draft?  I suppose no, I suppose I
> should just publish it as-is once guix-website.pot is at the TP.

Yes.

> title: Adding translations to Guix’ website
> date: 2020-07-29 15:00
> author: Florian Pelz
> tags: Community

LGTM!  :-)

Ludo’.